<?php
/**
 * Implementation of hook_views_plugins()
 */
function views2_service_views_plugins() {
  /**
   * This works-ish!
   */
  /*
  return array(
    'style' => array(
      'views2_service_service' => array(
        'title' => t('Service'),
        'help' => t('Displays the default summary as a list.'),
        'handler' => 'views2_service_plugin_style_service',
        'theme' => 'views_view',
        'type' => 'normal', // only shows up as a summary style
        'uses fields' => TRUE,
        'uses options' => FALSE,
        'help topic' => 'style-summary',
      ),
    ),
  );
  */
  return array(
    'display' => array(
      'views2_service_feed' => array(
        'title' => t('Services Feed'),
        'help' => t('Send the results of this view to Services.'),
        'handler' => 'views2_service_plugin_display_services_feed',
//        'parent' => 'page', // so it knows to load the page plugin .inc file
        'uses hook menu' => FALSE,
        'use ajax' => FALSE,
        'use pager' => FALSE,
        'accept attachments' => FALSE,
        'admin' => t('Services Feed'),
        'help topic' => 'display-services-feed',
      ),
    ),
    'style' => array(
      'views2_service_style' => array(
        'title' => t('Service'),
        'help' => t('Sends the results to Services.'),
        'handler' => 'views2_service_plugin_style_service',
//        'theme' => 'views_view',
        'type' => 'views2_service_feed', // only shows up as a summary style
        'uses fields' => TRUE,
        'uses options' => FALSE,
        'uses row plugin' => TRUE,
        'help topic' => 'style-service',
      ),
    ),
    'row' => array(
      'views2_service_fields' => array(
        'title' => t('Services Fields'),
        'help' => t('Displays the fields for output to Services with an optional template.'),
        'handler' => 'views2_service_plugin_row_service_fields',
        'theme' => 'views_view_fields',
        'uses fields' => TRUE,
        'uses options' => FALSE,
        'type' => 'views2_service_feed',
        'help topic' => 'style-services-row-fields',
      ),
      'views2_service_nodes' => array(
        'title' => t('Services Nodes'),
        'help' => t('Displays nodes for output to Services with an optional template.'),
        'handler' => 'views2_service_plugin_row_service_nodes',
//        'theme' => 'views_view_fields',
        'uses fields' => FALSE,
        'uses options' => FALSE,
        'type' => 'views2_service_feed',
        'help topic' => 'style-services-row-nodes',
      ),
      'views2_service_raw' => array(
        'title' => t('Services Raw'),
        'help' => t('Sends raw DB data to Services.'),
        'handler' => 'views2_service_plugin_row_service_raw',
//        'theme' => 'views_view_fields',
        'uses fields' => TRUE,
        'uses options' => FALSE,
        'type' => 'views2_service_feed',
        'help topic' => 'style-services-row-nodes',
      ),
    ),
  );
  /*
  return array(
    'display' => array(
      'service' => array(
        'title' => t('Service'),
        'help' => t('Display the view in the Services module.'),
        'handler' => 'views_plugin_display_service',
        'parent' => 'default', 
        'uses hook menu' => FALSE,
        'use ajax' => FALSE,
        'use pager' => FALSE,
        'accept attachments' => FALSE,
        'admin' => t('Service'),
//        'help topic' => 'display-service',
      ),
    ),
    'style' => array(
      'services' => array(
        'title' => t('Services'),
        'help' => t('Allows the view to be read by Services.'),
        'handler' => 'views_plugin_style_services',
//        'theme' => 'views_view_rss',
        'uses row plugin' => TRUE,
        'uses options' => TRUE,
        'type' => 'feed',
//        'help topic' => 'style-rss',
      ),
    ),
    'row' => array(
      'services_fields' => array(
        'title' => t('Services Fields'),
        'help' => t('Displays the fields for output to Services with an optional template.'),
        'handler' => 'views_plugin_row_services_fields',
        'theme' => 'views_view_fields',
        'uses fields' => TRUE,
        'uses options' => TRUE,
        'type' => 'normal',
//        'help topic' => 'style-services-row-fields',
      ),
      'services_nodes' => array(
        'title' => t('Services Nodes'),
        'help' => t('Displays nodes for output to Services with an optional template.'),
        'handler' => 'views_plugin_row_services_node',
        'theme' => 'views_view_fields',
        'uses fields' => TRUE,
        'uses options' => TRUE,
        'type' => 'normal',
//        'help topic' => 'style-services-row-fields',
      ),
    ),
  );
  */
}

