<?php
// $Id: views_plugin_row.inc,v 1.1 2008/09/03 19:21:30 merlinofchaos Exp $
/**
 * @file
 * Contains the base row style plugin.
 */

/**
 * Default plugin to view a single row of a table. This is really just a wrapper around
 * a theme function.
 *
 * @ingroup views_row_plugins
 */
class views2_service_plugin_row_service_nodes extends views_plugin_row {
  /**
   * Render a row object. This usually passes through to a theme template
   * of some form, but not always.
   */
  function render($row) {
    $fields = array();
    
    if (is_numeric($row->nid)) {
      return services_node_load(node_load($row->nid), $fields);
    }
  }
}
